Межсайтовый скриптинг в iG Shop

Дата публикации:
06.11.2006
Всего просмотров:
2152
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-5631
CVE-2006-5632
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
iG Shop 1.x
Уязвимые версии: iG Shop 1.4, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии change_pass.php и при обработке URL. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.igeneric.co.uk/display_resources/resource1.html

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA